# Poco

# struct CILess

Library: Foundation
Package: Core
Header: Poco/String.h

## Description

Case-insensitive less-than functor; useful for standard maps and sets with std::strings keys and case-insensitive ordering requirement.

## Member Summary

Member Functions: operator ()

## Member Functions

### operator ()

inline bool operator () (
const std::string & s1,
const std::string & s2
) const;